Bug Hunting Session
Bug 77859 - FILEOPEN: WPS DOCX - background image appears in foreground
Summary: FILEOPEN: WPS DOCX - background image appears in foreground
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Images
  Show dependency treegraph
 
Reported: 2014-04-24 03:54 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-09-29 11:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
document title found in a table appears behind the microsoft image (6.18 KB, image/jpeg)
2014-04-24 03:54 UTC, Yousuf Philips (jay) (retired)
Details
docx file created with kingsoft (96.01 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-24 03:55 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-04-24 03:54:44 UTC
Created attachment 97855 [details]
document title found in a table appears behind the microsoft image

I downloaded the .docx file found at < http://download.microsoft.com/documents/rus/microsoft4you/How_to_license_the_operating_system_Windows_8_new.docx > and opened it in Kingsoft Writer 9.1.0.4280 < http://wps-community.org/download.html > and then saved it as a docx file. Then i opened the saved file in LibO and on page 1, the microsoft image appears above the table rather than behind it. Tested in LibO 4.0+.
Comment 1 Yousuf Philips (jay) (retired) 2014-04-24 03:55:22 UTC
Created attachment 97856 [details]
docx file created with kingsoft
Comment 2 Luboš Luňák 2014-04-25 16:41:26 UTC
I can confirm this in 4.2 but in to-be-4.3 master this works correctly, so assuming fixed.
Comment 3 Yousuf Philips (jay) (retired) 2014-04-25 17:15:01 UTC
Yes i tried 4.3 alpha and its in the background, but the table in the front has a white background, though its background color is set to 'no fill'. Initially i thought it was related to bug 77848, but in that bug, when i change the background to transparency it fixes it.